Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Videos

Create a video
Deprecated
$ openai videos create
POST
/videos
Create a character
Deprecated
$ openai videos create-character
POST
/videos/characters
Delete a video
Deprecated
$ openai videos delete
DELETE
/videos/{video_id}
Download video content
Deprecated
$ openai videos download-content
GET
/videos/{video_id}/content
Create a video edit
Deprecated
$ openai videos edit
POST
/videos/edits
Create a video extension
Deprecated
$ openai videos extend
POST
/videos/extensions
Retrieve a character
Deprecated
$ openai videos get-character
GET
/videos/characters/{character_id}
List videos
Deprecated
$ openai videos list
GET
/videos
Create a video remix
Deprecated
$ openai videos remix
POST
/videos/{video_id}/remix
Retrieve a video
Deprecated
$ openai videos retrieve
GET
/videos/{video_id}
Models
image_input_reference_param: object { file_id, image_url }
video: object { id, completed_at, created_at, 10 more }

Structured information describing a generated video job.

video_create_error: object { code, message, headers, 3 more }

An error that occurred while generating the response.

video_seconds: "4" or "8" or "12"
video_size: "720x1280" or "1280x720" or "1024x1792" or "1792x1024"